CVE-2018-17100

NameCVE-2018-17100
DescriptionAn issue was discovered in LibTIFF 4.0.9. There is a int32 overflow in multiply_ms in tools/ppm2tiff.c, which can cause a denial of service (crash) or possibly have unspecified other impact via a crafted image file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1557-1
NVD severitymedium (attack range: remote)
Debian Bugs909038

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)jessie4.0.3-12.3+deb8u5vulnerable
jessie (security)4.0.3-12.3+deb8u7fixed
stretch4.0.8-2+deb9u2vulnerable
stretch (security)4.0.8-2+deb9u4vulnerable
buster, sid4.0.10-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.9+git181026-1low909038
tiffsourcejessie4.0.3-12.3+deb8u7mediumDLA-1557-1
tiff3source(unstable)(unfixed)medium

Notes

[stretch] - tiff <postponed> (Minor issue)
http://bugzilla.maptools.org/show_bug.cgi?id=2810
https://gitlab.com/libtiff/libtiff/merge_requests/33/diffs?commit_id=6da1fb3f64d43be37e640efbec60400d1f1ac39e
https://gitlab.com/libtiff/libtiff/commit/6da1fb3f64d43be37e640efbec60400d1f1ac39e

Search for package or bug name: Reporting problems